## multimail 0.47

=== Makefile ===
--- 
+++ 
@@ -7,14 +7,10 @@
 # General options (passed to mmail/Makefile and interfac/Makefile):
 
 # With debug:
-#OPTS = -g -Wall -pedantic
+#OPTS = -g -Wall -pedantic -Wno-deprecated -Wno-char-subscripts
 
 # Optimized, no debug:
-#OPTS = -O2 -Wall -pedantic
-
-# Optimized for recent versions of gcc:
-OPTS = -O2 -Wall -pedantic -fno-exceptions -fno-rtti -fconserve-space \
--Wno-deprecated
+OPTS = -O2 -Wall -pedantic -Wno-deprecated -Wno-char-subscripts
 
 # PREFIX is the base directory under which to install the binary and man 
 # page; generally either /usr/local or /usr (or perhaps /opt...):
@@ -80,14 +76,14 @@
 #LIBS = -lncurses
 
 #--------------------------------------------------------------
-# With XCurses (PDCurses 2.6) in my home directory:
+# With XCurses (PDCurses 2.7) in my home directory:
 
-#CURS_INC = \\\"/home/wmcbrine/PDCurses-2.6/curses.h\\\"
+#CURS_INC = \\\"/home/wmcbrine/pdcurs27/curses.h\\\"
 # Sneak some extra defines in through the back door:
-#CURS_DIR = /home/wmcbrine/PDCurses-2.6 -DXCURSES -DHAVE_PROTO
-#CURS_LIB = /home/wmcbrine/PDCurses-2.6/pdcurses
+#CURS_DIR = /home/wmcbrine/pdcurs27 -DXCURSES -DHAVE_PROTO
+#CURS_LIB = /home/wmcbrine/pdcurs27/pdcurses
 #LIBS = -L/usr/X11R6/lib \
-#/home/wmcbrine/PDCurses-2.6/pdcurses/libXCurses.a \
+#/home/wmcbrine/pdcurs27/pdcurses/libXCurses.a \
 #-lXaw -lXmu -lXt -lX11 -lSM -lICE -lXext
 
 #--------------------------------------------------------------
