=== debian/changelog ===
multimail (0.52-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Bump debhelper from old 12 to 13.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Adjusted and simplified build rules for complete hardening build.
  * Mentioned BBS, Fidonet, Usenet and ancient times in d/control description
    (Closes: #895774).
  * Removed unknown field Repository-Browser from d/upstream/metadata.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Jun 2024 10:33:22 +0200

multimail (0.52-1) unstable; urgency=medium

  * QA upload.
  * Update debhelper-compat level to 12.

  [ Fernando Toledo ]
  * Update to 0.52.

  [ Robert James Clay ]
  * Rewrite debian/rules to use dh.
  * Add debian/watch file.
  * Set package source format explicitly as '3.0 (quilt)'.
  * Changes to debian/control:
    - Replace Priority 'extra' with 'optional'.
    - Add a Homepage entry to the source package stanza.
    - Add '${misc:Depends}' to the binary package Depends line.
  * Changes to debian/copyright:
    - Update information for Kolossvary Tamas
    - Rewrite debian/copyright in machine readable format.

 -- Bastian Germann <bage@debian.org>  Mon, 05 Dec 2022 18:44:42 +0100

multimail (0.49-2) unstable; urgency=low

  * Fixed FTBFS with GCC 4.3.
   (Closes: Bug#461712)

 -- Peter Karlsson <peterk@debian.org>  Wed,  9 Apr 2008 20:45:00 +0100

multimail (0.49-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Added pauses when displaying ANSI animations.
   - No longer abort if the config file cannot be written to.
   - Now licensed under version 3 of the GPL.
  * Updated for new menu structure for menu 2.1.35.

 -- Peter Karlsson <peterk@debian.org>  Thu, 23 Aug 2007 07:15:00 +0100

multimail (0.48-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - New keyword "Mouse", to toggle mouse support.
   - Better display in UTF-8 terminals.
   - Documentation cleanup.
  * Updated to policy 3.7.2.

 -- Peter Karlsson <peterk@debian.org>  Fri,  6 Apr 2007 21:45:00 +0100

multimail (0.47-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Starting and MMAIL directories now searched for archivers and editors.
   - Support for "GreekQWK".
   - Other minor stuff.
  * Updated to policy 3.6.2.

 -- Peter Karlsson <peterk@debian.org>  Tue,  3 Jan 2006 21:30:00 +0100

multimail (0.46-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Displays hello and goodbye screens from packages properly.
   - ANSI viewer now has basic AVATAR level 0 and BSAVE support.
   - Lower portion of the area list display has been redesigned.
   - Various bugfixes.

 -- Peter Karlsson <peterk@debian.org>  Fri,  9 Jan 2004 22:00:00 +0100

multimail (0.45-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - New temporary file system; fixes many problems.
   - ANSI viewer works much better in Unix.

 -- Peter Karlsson <peterk@debian.org>  Sun,  8 Jun 2003 18:00:00 +0100

multimail (0.44-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Speculative fix for corrupt QWK reply problem.
   - New key for filter function, other filter fixes.
   - Fixes for END key in input, segfaults in ANSI, display bugs.
  * Updated to policy 3.5.10.

 -- Peter Karlsson <peterk@debian.org>  Mon, 26 May 2003 18:00:00 +0100

multimail (0.43-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Filter function for all lists.
   - Clock in letter window.
   - "AT code" parser in ANSI viewer for PCBoard/Wildcat.
   - Better SOUP mail parsing.
   - Packet name always visible.

 -- peter karlsson <peterk@debian.org>  Sat, 09 Mar 2002 23:15:00 +0100

multimail (0.42-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - New addressbook functionality.
   - Better error reporting on failed uncompression.

 -- peter karlsson <peterk@debian.org>  Sun, 09 Dec 2001 12:45:00 +0100

multimail (0.41-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Config-file options can now be specified on the command line.
   - Better handling of corrupt QWK *.NDX files.
   - Better pathname handling.
   - Miscellaneous fixes.
  * Updated to policy 3.5.6.

 -- peter karlsson <peterk@debian.org>  Tue, 16 Oct 2001 18:15:00 +0200

multimail (0.40-1) unstable; urgency=low

  * New upstream release:
   - Fixed crashing from 0.39.

 -- peter karlsson <peterk@debian.org>  Sun, 15 Apr 2001 22:17:15 +0200

multimail (0.39-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Mouse functionality.
   - New "saved" flag.
   - Various bugfixes, including buffer overflow fixes.
   - Minimum screen size is now 60x17.

 -- peter karlsson <peterk@debian.org>  Sat, 14 Apr 2001 21:36:44 +0200

multimail (0.38-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Transparency support for Eterm and friends.
   - Original timestamps of packets are preserved.
   - Expert mode, removes help text from screen.
   - Fix for SIGWINCH in ncurses 5.0+.
   - New default colors.
   - for more info, see upstreams ChangeLog.
  * Updated to standards version 3.2.1.
  * Added "Hints" to the menu file.

 -- peter karlsson <peterk@debian.org>  Sat,  3 Feb 2001 13:18:40 +0100

multimail (0.37-3) unstable; urgency=low

  * Add Build-Depends on debhelper
    (Closes: Bug#66522).

