=== debian/control ===
Source: multimail
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
Homepage: https://wmcbrine.com/MultiMail/
Vcs-Browser: https://salsa.debian.org/debian/multimail
Vcs-Git: https://salsa.debian.org/debian/multimail.git

Package: multimail
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: unzip,
          zip,
Description: Offline reader for Blue Wave, QWK, OMEN and SOUP
 MultiMail is an offline mail packet reader for Unix and
 other systems. It currently supports the Blue Wave, QWK,
 OMEN and SOUP formats commonly used on BBSes, Fidonet and Usenet
 in ancient times. It has a full screen, color user interface,
 built with the curses library.
