=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for multimail

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs --keep HISTORY.md
