=== debian/watch ===
version=4
http://sf.net/multimail/mmail-(.+)\.tar\.gz
